@import url('https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap');

body{
    color: #606060;
    font-family: "Noto Sans";
    font-size: 16px;
    margin: 0;
    padding: 0;
}

#app_header{
    padding-left: 20px;
    padding-top: 15px;
    padding-bottom: 7px;
    border-bottom: 1px solid #DEE2E6;
}

#app_header img{
    height: 50px;
}

#app_wrapper{
    max-width: 1200px;
    margin: auto;
}

#app_info{
    color: #080708;
}

#app_info h1{
    font-size: 29px;
    margin-top: 29px;
    margin-bottom: 12px;
}

#app_info p{
    margin-top: 0;
    margin-bottom: 32px;
}

/* Mail Item */

#mail_items_wrapper{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
}

.mail_item_wrapper{
    flex-basis: 32%;
    margin-bottom: 30px;
}

.mail_item_photo{
    border: 1px solid #DEE2E6;
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    text-align: center;
    height: 40%;
}

.mail_item_photo img{
    max-width: 100%;
    max-height: 100%;
}

.mail_item_data{
    padding-top: 12px;
    border-left: 1px solid #DEE2E6;
    border-right: 1px solid #DEE2E6;
    min-height: calc(60% - 42px);
    height: calc(60% - 42px);
}

.mail_item_data > div:not(:last-child){
    margin-bottom: 11px;
}

.mail_item_data h2{
    font-size: 18px;
    color: #000000;
    margin-top: 0;
    margin-bottom: 8px;
}

.mail_item_row{
    display: flex;
    align-items: center;
}

.mail_item_row img{
    display: inline-block;
    width: 20px;
    margin-right: 7px;
}

.mail_item_row .mail_item_row_text{
    font-size: 13px;
}

.mail_item_date{
    font-size: 12px;
    text-align: right;
    padding-top: 11px;
    padding-bottom: 11px;
    border: 1px solid #DEE2E6;
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
}

.mail_item_photo, .mail_item_data{
    padding-left: 6px;
    padding-right: 6px;
}

.mail_item_date{
    padding-right: 15px;
}

/* Footer */

#footer{
    display: flex;
    justify-content: space-between;
    font-size: 16px;
    margin-top: 10px;
    margin-bottom: 10px;
}

#footer button{
    width: 100px;
    height: 38px;
    font-size: 16px;
    background-color: #ffffff;
    border: 1px solid #606060;
    border-radius: 5px;
    color: #606060;
    cursor: pointer;
}

#footer button:not([disabled]):hover{
    background-color: #606060;
    color: #ffffff;
}

#footer button[disabled]{
    border: 1px solid #C0C0C0;
    color: #C0C0C0;
}

#footer button:first-child{
    margin-right: 10px
}


/* Responsiveness */

@media screen and (max-width: 650px) {
    #app_wrapper{
	min-width: 250px;
	margin-left: 20px;
	margin-right: 20px;
    }

    .mail_item_wrapper{
	flex-basis: 100%;
    }

    #footer {
	flex-direction: column;
    }

    #footer > div:first-child{
	margin-bottom: 10px;
    }
}


@media screen and (min-width: 651px) and (max-width: 850px) {
    #app_wrapper{
	max-width: 600px;
	margin: auto;
    }

    .mail_item_wrapper{
	flex-basis: 48%;
    }
}

@media screen and (min-width: 851px) and (max-width: 1250px){
    #app_wrapper{
	max-width: 800px;
	margin: auto;
    }
}
